Sophie

Sophie

distrib > Mandriva > 10.2 > i586 > by-pkgid > 38843a6ff5cd43e66ef1f9db3bcbe3f0 > scriptlet

echelog-0.6.2-3mdk.i586.rpm

PREIN

/bin/sh
# add group echelog if not found
grep -q ^echelog: /etc/group || {
    groupadd -r echelog || {
       echo "ERROR: Can't add group echelog, aborting install" >&2
       exit 1
    }
}

# add user echelog if not found
grep -q ^echelog: /etc/passwd || {
   useradd -d /var/cache/echelog -g echelog -M -r echelog || {
       echo "ERROR: Can't add user echelog, aborting install" >&2
       exit 1
    }
}

# add user echelogc (Echelog admin) if not found
grep -q ^echelogc: /etc/passwd || {
   useradd echelogc || {
       echo "ERROR: Can't add user echelogc, aborting install" >&2
       exit 1
    }
}

POSTIN

/bin/sh
if [ "$1" = 1 -o ! -f /etc/echelog/install.state ] ; then
echo 
echo "Run ./setup-wizard.sh in /usr/share/doc/echelog-0.6.2/ directory"
echo
fi